#
# spec file for package xapian-core (Version 1.0.4)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           xapian-core
Version:        1.0.4
Release:        5.1
#
License:        GPL
Group:          Productivity/Databases/Servers
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++ zlib-devel
Requires:       libxapian15 = %{version}
#
Url:            http://www.xapian.org/
Source:         http://www.oligarchy.co.uk/xapian/%{version}/%{name}-%{version}.tar.gz
Patch:          xapian-core-1.0.4_gcc43.patch
#
Summary:        The Xapian Probabilistic Information Retrieval Library
%description
Xapian is an Open Source Probabilistic Information Retrieval Library. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications.

%package -n libxapian15
Group:          Development/Libraries/C and C++
#
Summary:        Xapian search engine libraries
%description -n libxapian15
Xapian is an Open Source Probabilistic Information Retrieval framework. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications. This package provides the
libraries for applications using Xapian functionality.


%package devel
Group:          Development/Libraries/C and C++
#
Requires:       libxapian15 = %{version}
Requires:       gcc-c++ zlib-devel
#
Summary:        Files needed for building packages which use Xapian
%description devel
Xapian is an Open Source Probabilistic Information Retrieval framework. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications. This package provides the
files needed for building packages which use Xapian.


%debug_package
%prep
%setup
%patch

%build
%configure --docdir=%{_docdir}/%{name}/
%{__make}

%install
%makeinstall docdatadir=%{_docdir}/%{name}
%{__rm} -rf examples
%{__cp} -vr \
    AUTHORS COPYING ChangeLog \
    HACKING INSTALL NEWS PLATFORMS README \
%{buildroot}%{_docdir}/%{name}/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n libxapian15 -p /sbin/ldconfig

%postun -n libxapian15 -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/xapian-tcpsrv
%{_bindir}/xapian-progsrv
%{_bindir}/quartzcheck
%{_bindir}/quartzcompact
%{_bindir}/quartzdump
%{_bindir}/quest
%{_bindir}/delve
%{_bindir}/copydatabase
%{_bindir}/simpleindex
%{_bindir}/simplesearch
%{_bindir}/simpleexpand
%{_bindir}/xapian-compact
%{_bindir}/xapian-check
%{_bindir}/xapian-inspect
%{_mandir}/man1/xapian-check.1*
%{_mandir}/man1/xapian-inspect.1*
%{_mandir}/man1/copydatabase.1*
%{_mandir}/man1/delve.1*
%{_mandir}/man1/quartzcheck.1*
%{_mandir}/man1/quartzcompact.1*
%{_mandir}/man1/quartzdump.1*
%{_mandir}/man1/quest.1*
%{_mandir}/man1/xapian-compact.1*
%{_mandir}/man1/xapian-config.1*
%{_mandir}/man1/xapian-progsrv.1*
%{_mandir}/man1/xapian-tcpsrv.1*
%dir %{_docdir}/%{name}/
%doc %{_docdir}/%{name}/AUTHORS
%doc %{_docdir}/%{name}/COPYING
%doc %{_docdir}/%{name}/ChangeLog
%doc %{_docdir}/%{name}/HACKING
%doc %{_docdir}/%{name}/INSTALL
%doc %{_docdir}/%{name}/NEWS
%doc %{_docdir}/%{name}/PLATFORMS
%doc %{_docdir}/%{name}/README

%files -n libxapian15
%defattr(-, root, root)
%{_libdir}/libxapian.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/xapian-config
%{_includedir}/xapian
%{_includedir}/xapian.h
%{_libdir}/libxapian.so
%{_libdir}/libxapian.a
%{_libdir}/libxapian.la
%{_datadir}/aclocal/xapian.m4
%doc %{_docdir}/%{name}/*.html
%doc %{_docdir}/%{name}/apidoc*

%changelog
* Mon Nov 19 2007 mrueckert@suse.de
- added xapian-core-1.0.4_gcc43.patch:
  add missing includes for gcc 4.3
* Mon Nov 19 2007 mrueckert@suse.de
- update to 1.0.4
* Sun Jun 24 2007 mrueckert@suse.de
- update to 1.0.1
* Sun Apr  1 2007 mrueckert@suse.de
- update to 0.9.10
* Sat Nov 11 2006 mrueckert@suse.de
- update to 0.9.9:
  many smaller changes
* Sat Nov  4 2006 mrueckert@suse.de
- do not package .deps and .libs in the examples dir
* Sat Nov  4 2006 mrueckert@suse.de
- update to 0.9.8:
  many small fixes
